Client Details
Request to be POSTed to uri : /NorenWClientAPI/ClientDetails
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | User Id | |
| actid* | Account ID |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/ClientDetails' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO", "actid":"DEMO"}'
Response Details :
| Json Fields | Possible value | Description |
|---|---|---|
| request_time | It will be present only in a successful response. | |
| actid | Account ID | |
| cliname | Client Name | |
| act_sts | Account Status | |
| creatdte | Creation date | |
| creattme | Creation time | |
| m_num | Mobile Number | |
| Email ID | ||
| pan | PAN | |
| dob | Date of birth in DDMMYYYY format | |
| addr | Address | |
| addroffice | Office address | |
| addrcity | City | |
| addrstate | State | |
| partic_id_list | ||
| eqt_asba | True or False | |
| der_asba | True or False | |
| fx_asba | True or False | |
| com_asba | True or False | |
| mandate_id_list | Mandate Id List [ Array Object, details given below.] | |
| exarr | Json array of strings with enabled exchange names | |
| bankdetails | Array Object, details given below. | |
| dp_acct_num | Array Object, details given below. | |
| stat | Ok or Not_Ok | User details success or failure indication. |
| emsg | This will be present only in case of errors. |
bankdetails Obj format:
| Json Fields | Possible value | Description |
|---|---|---|
| bankn | Bank name | |
| acctnum | Account number |
dp_acct_num Obj format:
| Json Fields | Possible value | Description |
|---|---|---|
| dpnum | Dp account number |
mandate_id_list Obj format:
| Json Fields | Possible value | Description |
|---|---|---|
| mandate_id | Mandate Id |
Sample Success Response :
{
"request_time": "10:25:28 04-12-2025",
"actid": "DEMO",
"cliname": "DEMO",
"act_sts": "Activated",
"creatdte": "1753958809",
"creattme": "1761804733",
"m_num": "0",
"email": "test@gmail.com",
"pan": "AAAAA1111A",
"dob": "",
"addr": "",
"addroffice": "",
"addrcity": "",
"addrstate": "",
"partic_id_list": [
{
"partic_id": "",
"exch": "NSE"
},
{
"partic_id": "",
"exch": "NFO"
},
{
"partic_id": "",
"exch": "BSE"
},
{
"partic_id": "",
"exch": "BFO"
},
{
"partic_id": "",
"exch": "NIE"
}
],
"eqt_asba": "false",
"der_asba": "false",
"fx_asba": "false",
"com_asba": "false",
"mandate_id_list": [],
"exarr": ["NSE", "NFO", "BSE", "BFO", "NIE"],
"bankdetails": [],
"dp_acct_num": [],
"stat": "Ok"
}
Sample Failure Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid User Id"
}